Draft Dimension

From FreeCAD Documentation
Revision as of 21:00, 27 January 2014 by Renatorivo (talk | contribs) (Created page with "==Types de cotations disponibles== * '''Cotation linéaire''' : renseignez deux points sur une ligne (en pressant la touche {{KEY|ALT}} la cotation est [[#Cotation contrainte...")

Cotation

Emplacement du menu
Draft → Dimension
Ateliers
Draft
Raccourci par défaut
D I
Introduit dans la version
-
Voir aussi
Aucun

Description

L'outil text-top=Cote Cotation demande à l'utilisateur deux points définissants le segment qui doit être côté puis, un troisième point afin de localiser la ligne de dimension.

Utilisation

Après avoir cliqué sur l'outil cotation,

  • Choisissez 2 points sur une zone vide de la vue 3D, ou, sur un objet existant, puis, un troisième point, pour donner l'emplacement de la ligne de cote.
  • Pressez CTRL pour sélectionner un point d'accrochage.
  • Pressez SHIFT pour obtenir une contrainte horizontale ou verticale,
  • 1 : sélectionnez le premier point puis,
  • 2 : dirigez votre ligne de cotation horizontalement (ou verticalement), ( donne le sens à la cotation) puis,
  • 3 : appuyez sur SHIFT
  • 4 : sélectionnez le deuxième point,
  • 5 : relâchez la touche SHIFT
  • 6 : positionnez la ligne de cote, puis cliquez sur le bouton droit de la souris (qui constitue le troisième point)
  • Pressez la touche SHIFT lorsque vous travaillez sur un bord circulaire, bascule entre les modes diamètre et rayon.
  • Entrer un nombre pour insérer une coordonnée manuellement.
  • Pressez la touche ALT, puis sélectionnez une arête existante, la cotation se souviendra avec quelle arête elle est liée (contrainte).
  • Si le point de terminaison de cette arête se déplace par la suite, la dimension suivra. Cela est également vrai pour les dimensions de rayon et de diamètre.
  • L'icône représentée dans la Vue Combinée → Projet → Etiquettes & attributs de l'application correspondante, est affichée de cette façon : File:Draft Cotation Icone Contrainte.png
  • Pressez la touche ESC pour annuler l’opération et quitter la fonction.
  • Une case à cocher sur la barre de la commande active, Dimension → Continuer, vous permet de tracer plusieurs dimensions sur une même ligne.
  • Choisissez 2 points sur une zone vide de la vue 3D, ou, sur un objet existant, puis, un troisième point, pour donner l'emplacement de la ligne de cote (comme une cotation simple), puis,
  • pointez, tous les autres points qui doivent être cotés,
  • et, enfin, pressez sur la touche ESC pour valider, et, quitter la fonction.

Types de cotations disponibles

  • Cotation linéaire : renseignez deux points sur une ligne (en pressant la touche ALT la cotation est contrainte).
  • Cotation horizontale/verticale : pressez SHIFT après avoir sélectionné le premier point.
  • Cotation d'un diamètre : pressez sur la touche ALT, puis sélectionnez une ligne courbe.
  • Cotation d'un rayon : pressez sur la touche ALT, sélectionnez une ligne courbe, puis relâchez la touche ALT et appuyez sur la touche SHIFT.
  • Cotation angulaire  : en choisissant 2 lignes (arêtes) droites avec la touche ALT pressée.

L'icône représentée dans la Vue Combinée → Projet → Etiquettes & attributs de l'application correspondante, est affichée de cette façon :

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain the dimension horizontally or vertically, or, when working on a circular edge, switches between diameter and radius modes.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, you will be able to draw continued dimensions, one after the other, that share the same baseline.
  • Press ESC or the Cancel button to abort the current Line command.
  • By picking an existing edge with ALT, instead of entering measurement points, the dimension will become parametric and remember which edge it is bound to. If the endpoints of that edge move later on, the dimension will follow them.

Properties

  • DonnéesStart: The start point of the distance to measure
  • DonnéesEnd: The end point of the distance to measure
  • DonnéesDimline: A point through which the dimension line must pass
  • VueDisplay Mode: Specifies if the text is aligned to the dimension lines or always faces the camera
  • VueFont Size: The size of the letters
  • VueExt Lines: The size of the extension lines (between the measurement points and the dimension line)
  • VueText Position: Can be used to force the text to be displayed at a certain position
  • VueOverride: Specifies a text to display instead of the measurement. Use the word "dim", inside that text, to display the measurement
  • VueFont Name: The font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", or a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.

Scripting

The Dimension tool can by used in macros and from the python console by using the following functions:

 '''makeDimension (p1,p2,[p3])''' or '''makeDimension (object,i1,i2,p3)''' or '''makeDimension (objlist,indices,p3)'''
  • Creates a Dimension object with the dimension line passign through p3.
  • The Dimension object takes the Draft linewidth and color set in the command bar.
  • There are multiple ways to create a dimension, depending on the arguments you pass to it:
  1. (p1,p2,p3): creates a standard dimension from p1 to p2.
  2. (object,i1,i2,p3): creates a linked dimension to the given object, measuring the distance between its vertices indexed i1 and i2.
  3. (object,i1,mode,p3): creates a linked dimension to the given object, i1 is the index of the (curved) edge to measure, and mode is either "radius" or "diameter". Returns the newly created object.
 '''makeAngularDimension (center,[angle1,angle2],p3)'''
  • creates an angular Dimension from the given center, with the given list of angles, passing through p3.
  • Returns the newly created object.

Example:

 import FreeCAD,Draft
 p1 = FreeCAD.Vector(0,0,0)
 p2 = FreeCAD.Vector(1,1,0)
 p3 = FreeCAD.Vector(2,0,0)
 Draft.makeDimension(p1,p2,p3)

Links

Tutorial Projecting dimensions on a Drawing Page